## telegram-launcher 0.1

=== Makefile ===
#! /bin/make -f

all:

	@echo 'Run telegram-launcher'

install: install-bin install-icons install-desktop

install-bin:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/telegram-launcher/
	install -p -m 755 telegram-launcher $(DESTDIR)$(PREFIX)/share/telegram-launcher/
	install -p -m 755 telegram-installer $(DESTDIR)$(PREFIX)/share/telegram-launcher/

install-icons:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/512x512/apps/
	install -p -m 644 icons/512/telegram.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/512x512/apps/

install-desktop:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/applications/
	install -p -m 644 telegramdesktop.desktop $(DESTDIR)$(PREFIX)/share/applications/

#########################
PREFIX?=/usr

.PHONY: all install install-bin install-icons install-desktop

=== debian/changelog ===
telegram-launcher (0.1) stable; urgency=medium

  * Application creation

 -- Mistific@tor <https://mistificator.ru/>  Fri, 17 Apr 2020 02:00:00 +0300

=== debian/control ===
Source: telegram-launcher
Section: utils
Priority: optional
Maintainer: Mistific@tor
Build-Depends: debhelper
Standards-Version: 3.9.8
Homepage: https://mistificator.ru/

Package: telegram-launcher
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Application for installing, launching and updating Telegram.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@
override_dh_usrlocal:
override_dh_strip:
